package uk.me.nxg.unity;

/**
 * Manage version information
 */
public class Version {
    private static final String versionString = "@PACKAGE_STRING@, @RELEASE_DATE@";
    private static final int versionNumber = @PACKAGE_VERSION_INTEGER@;

    private Version() {
        // constructor is protected on purpuse
    }

    /**
     * Indicate the package version, as a printable string giving the package name and version
     */
    public static String versionString() {
        return versionString;
    }

    /**
     * Indicate the package version, as an integer.
     * The number returned is major-version * 1e6 + minor-version * 1e3 + release.
     */
    public static int versionInteger() {
        return versionNumber;
    }
}
